You are not logged in.

#1 2013-03-30 18:13:04

Rukiri
Member
Registered: 2012-06-15
Posts: 34

Gnome 3.8

Gnome 3.8 was released a few days ago, many packages have been in gentoo portage tree since yesterday.
When will gnome 3.8 showup in Funtoo's portage tree?

Offline

#2 2013-03-31 05:41:48

angry_vincent
Staff
From: Ukraine
Registered: 2010-10-07
Posts: 687

Re: Gnome 3.8

as soon as it appears in gentoo tree, Funtoo merging  95% of gentoo tree unchanged.

Offline

#3 2013-04-01 19:40:32

jeanfrancis
Staff
From: Québec (Canada)
Registered: 2010-10-07
Posts: 267

Re: Gnome 3.8

Note that Gnome 3.8 will require some ebuilds that are masked in Funtoo (new NetworkManager, GCC 4.7 for C++11 features in webkit-gtk), so installing it will require some tweaks.

Offline

#4 2013-04-01 20:04:55

overkill
Member
Registered: 2011-09-13
Posts: 243

Re: Gnome 3.8

I'm in no hurry.  Gnome 3.6 is working just fine.

Offline

#5 2013-04-02 06:22:07

Rukiri
Member
Registered: 2012-06-15
Posts: 34

Re: Gnome 3.8

Since gnome 3.8 requires systemd, do you actually have to use systemd?  OpenRC grew on me.

Offline

#6 2013-04-03 14:17:35

angry_vincent
Staff
From: Ukraine
Registered: 2010-10-07
Posts: 687

Re: Gnome 3.8

gnome-3.8 does not require systemd

Offline

#7 2013-04-16 20:17:41

balticer
New member
Registered: 2011-05-26
Posts: 9

Re: Gnome 3.8

Hmm,

https://mail.gnome.org/archives/desktop … 00042.html
https://git.gnome.org/browse/gnome-sett … 5588245273

"No hard compile time dep on systemd for "basic functionality"

regards
Kai

Last edited by balticer (2013-04-17 05:58:28)

Offline

#8 2013-05-14 20:12:59

gentoo2ubuntu2funtoo
New member
Registered: 2013-05-14
Posts: 1

Re: Gnome 3.8

Could someone please point me to some documentation about installing Gnome 3.8 on Funtoo ? I'm looking for all the fiddly bits of configuring I need to do: eg. package.keywords, package.unmask.

Thanks. It's good to be back in drobbins' fold again.

Offline

#9 2013-05-15 00:53:53

overkill
Member
Registered: 2011-09-13
Posts: 243

Re: Gnome 3.8

All of the packages that need unmasking are in /usr/portage/profiles/package.mask/gentoo.  Just look for the "Gnome 3.8" heading.  The packages will follow that.

I don't know if they will all install without issue.  Probably why it's still masked.  Try at your own risk.

And of course, let us know how it worked out wink

Last edited by overkill (2013-05-15 00:54:15)

Offline

#10 2013-07-26 12:39:55

alexpj
Member
From: England
Registered: 2012-08-18
Posts: 49

Re: Gnome 3.8

Gnome 3.8 requiring Systemd on Gentoo

I'm kinda stuck, help me out people please. funtoo wont be going the systemd route, so am I forced to move away from funtoo to keep up to date with gnome?

My emerge -sync has in in the last two days started showing conflicts on the tree but trying to install gnome 3.8 - have some of the upstream hard-masks been removed?

I'm running the current branch.

Offline

#11 2013-08-03 17:28:34

ryo
Member
From: Fréjus, France
Registered: 2010-11-17
Posts: 42

Re: Gnome 3.8

balticer wrote:

Hmm,

https://mail.gnome.org/archives/desktop … 00042.html
https://git.gnome.org/browse/gnome-sett … 5588245273

"No hard compile time dep on systemd for "basic functionality"

regards
Kai

"example of non-basic functionality: power management"

...

Last edited by ryo (2013-08-03 17:29:05)

Offline

Board footer

Powered by FluxBB